UPDATE table_version SET version_number = '52' WHERE version_id = '1';

ALTER TABLE table_case_data ADD editor_type TINYINT DEFAULT '1' NOT NULL;

declare @default sysname, @sql nvarchar(max)
select @default = name 
from sys.default_constraints 
where parent_object_id = object_id('table_case_data')
AND type = 'D'
AND parent_column_id = (
    select column_id 
	from sys.columns 
    where object_id = object_id('table_case_data')
	and name = 'testcase_useDescAsTestplan'
)
set @sql = N'alter table table_case_data drop constraint ' + @default
exec sp_executesql @sql
ALTER TABLE table_case_data DROP COLUMN testcase_useDescAsTestplan;



CREATE TABLE table_sqlreport (
  sqlreport_id BIGINT NOT NULL IDENTITY,
  folder_id BIGINT NOT NULL,
  sqlreport_name VARCHAR(128) NOT NULL);
ALTER TABLE table_sqlreport ADD CONSTRAINT PRIMARY_87 PRIMARY KEY (sqlreport_id);
CREATE INDEX sqlreport_IK_1 ON table_sqlreport (folder_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sqlreport TO PUBLIC;


CREATE TABLE table_sqlreport_data ( 
  data_id BIGINT NOT NULL IDENTITY,
  sqlreport_id BIGINT NOT NULL, 
  query TEXT, 
  date_submitted DATETIME, 
  revision BIGINT DEFAULT '1' NOT NULL);
ALTER TABLE table_sqlreport_data ADD CONSTRAINT PRIMARY_88 PRIMARY KEY (data_id);
CREATE UNIQUE INDEX sqlreport_data_UK_1 ON table_sqlreport_data (sqlreport_id,revision);
CREATE INDEX sqlreport_data_IK_1 ON table_sqlreport_data (sqlreport_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_sqlreport_data TO PUBLIC;


ALTER TABLE table_sqlreport ADD CONSTRAINT table_sqlreport_ibfk_1 FOREIGN KEY (folder_id) REFERENCES table_folder(folder_id) ON DELETE CASCADE;
ALTER TABLE table_sqlreport_data ADD CONSTRAINT table_sqlreport_data_ibfk_1 FOREIGN KEY (sqlreport_id) REFERENCES table_sqlreport(sqlreport_id) ON DELETE CASCADE;
    
	
SET IDENTITY_INSERT table_folder ON;
INSERT INTO table_folder (folder_id, folder_id_2, folder_name, category_id, company_id, project_id, folder_description) VALUES (12, 12, 'na', 1, 1, 1, NULL);
INSERT INTO table_folder (folder_id, folder_id_2, folder_name, category_id, company_id, project_id, folder_description) VALUES (28, 12, 'My reports', 1, 1, 1, 'This is a folder containing some SQL reports');
SET IDENTITY_INSERT table_folder OFF;


SET IDENTITY_INSERT table_sqlreport ON;
INSERT INTO table_sqlreport (sqlreport_id, folder_id, sqlreport_name) VALUES(100, 28, 'Longest tests to execute');
SET IDENTITY_INSERT table_sqlreport OFF;
SET IDENTITY_INSERT table_sqlreport_data ON;
INSERT INTO table_sqlreport_data (data_id, sqlreport_id, query, date_submitted, revision) VALUES(100, 100, 'SELECT ''[T_'' + CONVERT(varchar(12), test_id) + '']'' AS Id, test_name AS Name, test_estimatedTime AS ''Time (ms)''
FROM table_test
ORDER BY test_estimatedTime DESC', '2013-03-04 00:00:01', 1);
SET IDENTITY_INSERT table_sqlreport_data OFF;

SET IDENTITY_INSERT table_sqlreport ON;
INSERT INTO table_sqlreport (sqlreport_id, folder_id, sqlreport_name) VALUES(99, 28, 'Tests authored by');
SET IDENTITY_INSERT table_sqlreport OFF;
SET IDENTITY_INSERT table_sqlreport_data ON;
INSERT INTO table_sqlreport_data (data_id, sqlreport_id, query, date_submitted, revision) VALUES(99, 99, 'SELECT ''[T_'' + CONVERT(varchar(12), test_id) + '']'' AS Id, test_name AS Name, user_name AS Author
FROM table_test, table_user
WHERE table_test.author_id = table_user.user_id
AND user_name = ''admin''', '2013-03-04 00:00:01', 1);
SET IDENTITY_INSERT table_sqlreport_data OFF;

SET IDENTITY_INSERT table_sqlreport ON;
INSERT INTO table_sqlreport (sqlreport_id, folder_id, sqlreport_name) VALUES(98, 28, 'Tests developed by');
SET IDENTITY_INSERT table_sqlreport OFF;
SET IDENTITY_INSERT table_sqlreport_data ON;
INSERT INTO table_sqlreport_data (data_id, sqlreport_id, query, date_submitted, revision) VALUES(98, 98, 'SELECT ''[T_'' + CONVERT(varchar(12), test_id) + '']'' AS Id, test_name AS Name, user_name AS Author
FROM table_test, table_user
WHERE table_test.developer_id = table_user.user_id
AND user_name = ''admin''', '2013-03-04 00:00:01', 1);
SET IDENTITY_INSERT table_sqlreport_data OFF;
