UPDATE table_version SET version_number = '16' WHERE version_id = '1';

ALTER TABLE table_attr_boolean DROP attr_boolean_mandatory;
ALTER TABLE table_attr_boolean ADD dynamic BOOL NOT NULL DEFAULT 0;

ALTER TABLE table_attr_integer DROP attr_integer_mandatory;
ALTER TABLE table_attr_integer ADD dynamic BOOL NOT NULL DEFAULT 0;

ALTER TABLE table_attr_string DROP attr_string_mandatory;
ALTER TABLE table_attr_string ADD dynamic BOOL NOT NULL DEFAULT 0;

ALTER TABLE table_test_attr_integer MODIFY test_attr_integer_value TEXT NOT NULL;

CREATE TABLE table_campaign_session_attribute_string (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  test_id INTEGER UNSIGNED NOT NULL,
  attr_string_id INTEGER UNSIGNED NOT NULL,
  value TEXT NOT NULL,
  INDEX campaign_session_FKIndex1(campaign_session_id),
  INDEX test_FKIndex2(test_id),
  INDEX attribute_string_FKIndex3(attr_string_id),
  FOREIGN KEY(campaign_session_id)
    REFERENCES table_campaign_session(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(attr_string_id)
    REFERENCES table_attr_string(attr_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_campaign_session_attribute_boolean (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  test_id INTEGER UNSIGNED NOT NULL,
  attr_boolean_id INTEGER UNSIGNED NOT NULL,
  value BOOL NOT NULL DEFAULT 0,
  INDEX campaign_session_FKIndex1(campaign_session_id),
  INDEX test_FKIndex2(test_id),
  INDEX attribute_boolean_FKIndex3(attr_boolean_id),
  FOREIGN KEY(campaign_session_id)
    REFERENCES table_campaign_session(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(attr_boolean_id)
    REFERENCES table_attr_boolean(attr_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_campaign_session_attribute_integer (
  campaign_session_id INTEGER UNSIGNED NOT NULL,
  test_id INTEGER UNSIGNED NOT NULL,
  attr_integer_id INTEGER UNSIGNED NOT NULL,
  value TEXT NOT NULL,
  INDEX campaign_session_FKIndex1(campaign_session_id),
  INDEX test_FKIndex2(test_id),
  INDEX attribute_integer_FKIndex3(attr_integer_id),
  FOREIGN KEY(campaign_session_id)
    REFERENCES table_campaign_session(campaign_session_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(test_id)
    REFERENCES table_test(test_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(attr_integer_id)
    REFERENCES table_attr_integer(attr_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

