UPDATE table_version SET version_number = '37' WHERE version_id = '1';

CREATE TABLE table_custom_field_string (
  custom_field_string_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  custom_field_string_source_type SMALLINT NOT NULL DEFAULT 0,
  custom_field_string_name VARCHAR(64) CHARACTER SET utf8 NOT NULL,
  custom_field_string_mandatory BOOL NOT NULL DEFAULT 0,
  custom_field_string_default_value VARCHAR(4096) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY(custom_field_string_id),
  UNIQUE KEY (custom_field_string_source_type, custom_field_string_name)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_integer (
  custom_field_integer_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  custom_field_integer_source_type SMALLINT NOT NULL DEFAULT 0,
  custom_field_integer_name VARCHAR(64) CHARACTER SET utf8 NOT NULL,
  custom_field_integer_mandatory BOOL NOT NULL DEFAULT 0,
  custom_field_integer_default_value INTEGER NOT NULL DEFAULT 0,
  PRIMARY KEY(custom_field_integer_id),
  UNIQUE KEY (custom_field_integer_source_type, custom_field_integer_name)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_boolean (
  custom_field_boolean_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  custom_field_boolean_source_type SMALLINT NOT NULL DEFAULT 0,
  custom_field_boolean_name VARCHAR(64) CHARACTER SET utf8 NOT NULL,
  custom_field_boolean_default_value BOOL NOT NULL DEFAULT 0,
  PRIMARY KEY(custom_field_boolean_id),
  UNIQUE KEY (custom_field_boolean_source_type, custom_field_boolean_name)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_html (
  custom_field_html_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  custom_field_html_source_type SMALLINT NOT NULL DEFAULT 0,
  custom_field_html_name VARCHAR(64) CHARACTER SET utf8 NOT NULL,
  custom_field_html_mandatory BOOL NOT NULL DEFAULT 0,
  custom_field_html_default_value TEXT CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY(custom_field_html_id),
  UNIQUE KEY (custom_field_html_source_type, custom_field_html_name)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_stringchoice (
  custom_field_stringchoice_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  custom_field_stringchoice_source_type SMALLINT NOT NULL DEFAULT 0,
  custom_field_stringchoice_name VARCHAR(64) CHARACTER SET utf8 NOT NULL,
  custom_field_stringchoice_mandatory BOOL NOT NULL DEFAULT 0,
  custom_field_stringchoice_possible_values VARCHAR(4096) CHARACTER SET utf8 NOT NULL DEFAULT '',
  custom_field_stringchoice_default_value VARCHAR(4096) CHARACTER SET utf8 NOT NULL DEFAULT '',
  custom_field_stringchoice_multiple_choices BOOL NOT NULL DEFAULT 0,
  PRIMARY KEY(custom_field_stringchoice_id),
  UNIQUE KEY (custom_field_stringchoice_source_type, custom_field_stringchoice_name)
)
ENGINE=INNODB;



