UPDATE table_version SET version_number = '7' WHERE version_id = '1';

CREATE TABLE table_defect_stat (
  entry_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  database_type TINYINT NOT NULL,
  container_type TINYINT NOT NULL,
  type TINYINT NOT NULL,
  container VARCHAR(256) NULL,
  date DATETIME NULL,
  stat MEDIUMTEXT NOT NULL,
  PRIMARY KEY(entry_id)
)
ENGINE=InnoDB;

CREATE TABLE table_defect_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  defect_id INTEGER UNSIGNED NOT NULL,
  attachment_name VARCHAR(128) NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX test_attachment_FKIndex1(defect_id),
  FOREIGN KEY(defect_id)
    REFERENCES table_defect_integrated(defect_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

ALTER TABLE table_company                       MODIFY company_name          VARCHAR(128)  NOT NULL;
ALTER TABLE table_category                      MODIFY category_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_category                      MODIFY category_jarName      VARCHAR(64)       NULL;
ALTER TABLE table_folder                        MODIFY folder_name           VARCHAR(128)  NOT NULL;
ALTER TABLE table_sut                           MODIFY sut_name              VARCHAR(128)  NOT NULL;
ALTER TABLE table_sut                           MODIFY sut_version           VARCHAR(64)       NULL;
ALTER TABLE table_agent                         MODIFY agent_name            VARCHAR(128)  NOT NULL;
ALTER TABLE table_agent                         MODIFY agent_os              VARCHAR(64)   NOT NULL;
ALTER TABLE table_user                          MODIFY user_name             VARCHAR(128)  NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY defect_name           VARCHAR(128)  NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY priority              TINYINT       NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY severity              TINYINT       NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY status                TINYINT       NOT NULL;
ALTER TABLE table_requirement                   MODIFY requirement_name      VARCHAR(128)  NOT NULL;
ALTER TABLE table_campaign                      MODIFY campaign_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_specification                 MODIFY specification_name    VARCHAR(128)  NOT NULL;
ALTER TABLE table_test                          MODIFY test_name             VARCHAR(128)  NOT NULL;
ALTER TABLE table_test                          MODIFY test_canonicalPath    VARCHAR(256)  NOT NULL;
ALTER TABLE table_schedule                      MODIFY schedule_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_schedule                      MODIFY schedule_description  TEXT              NULL;
ALTER TABLE table_campaign_session              MODIFY campaign_session_name VARCHAR(128)  NOT NULL;
ALTER TABLE table_testcase                      MODIFY testcase_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_testcase_attachment           MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_test_attachment               MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_folder_attachment             MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_category_attachment           MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_testcase_execution_attachment MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_change                        MODIFY information           VARCHAR(256)  NOT NULL;











