UPDATE table_version SET version_number = '55' WHERE version_id = '1';

ALTER TABLE table_expl_data DROP COLUMN status;
ALTER TABLE table_expl_data DROP COLUMN startDate;
ALTER TABLE table_expl_data DROP COLUMN stopDate;
ALTER TABLE table_expl_data DROP COLUMN cummul_runtime;
ALTER TABLE table_expl_data ADD cumul_runtime NUMBER(24,0) DEFAULT '0' NOT NULL;

ALTER TABLE table_expl      ADD status        NUMBER(3,0) DEFAULT '1' NOT NULL;
ALTER TABLE table_expl      ADD startDate     DATE;
ALTER TABLE table_expl      ADD stopDate      DATE;

DROP TABLE table_def_int_expl;

CREATE TABLE table_def_expl (
  defect_id NUMBER(10,0) NOT NULL,
  expl_id NUMBER(10,0) NOT NULL
);
CREATE INDEX def_expl_IK_1 ON table_def_expl (defect_id);
CREATE INDEX def_expl_IK_2 ON table_def_expl (expl_id);
CREATE UNIQUE INDEX def_expl_UK_1 ON table_def_expl (
  defect_id,
  expl_id);
GRANT SELECT, INSERT, DELETE, UPDATE, REFERENCES ON table_def_expl TO PUBLIC;

ALTER TABLE table_def_expl ADD CONSTRAINT table_def_expl_ibfk_1 FOREIGN KEY (expl_id) REFERENCES table_expl (expl_id) ON DELETE CASCADE ENABLE;



