<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>

  <!-- global variables -->
  <xsl:variable name="codebase" select="properties/@codebase" />

  <xsl:include href="#export_absolute_path#xsl/email_Lib.xslt"/>
  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

	  <head>		
		<title>XStudio Report</title>
		<meta http-equiv="Pragma" content="no-cache"/>
	  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<meta http-equiv="Content-Language" content="en"/>
	   <style TYPE="text/css">
	     BODY {background: white; color: black; font-size: 10pt; font-family: "Century Gothic", Helvetica, Arial, sans-serif;}
	     H1 {margin-top:10pt; margin-bottom:2pt; padding-left:0pt; font-weight:bold; font-size:12pt; color:#d66d18}
	     H2 {margin-top:10pt; margin-bottom:2pt; padding-left:0pt; font-weight:bold; font-size:10pt; color:#d66d18}
	     H3 {margin-top:10pt; margin-bottom:2pt; padding-left:0pt; font-weight:bold; font-size:8pt; color:#358560}
	     TABLE {border-style:solid; border-width:1px; border-color:#96d6b9; border-collapse:collapse}
	     TD {font-size:8pt}
	     A:link {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-color:transparent;  color:#518b72}
	     A:visited {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-repeat:no-repeat;  background-color:transparent;  color:#518b72}
	     A:active {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-color:transparent;  color:#518b72}
	     A:hover {font-weight:bold;  font-size:8pt;  text-decoration:none;  background-color:transparent;  color:#ff9535}
	     .text_box {border-style:solid; border-width:1px; border-color:#96d6b9; border-collapse:collapse; font-size:8pt; margin:0; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .table_data_header {font-weight:bold; font-size:8pt; border-spacing:0px; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .table_data_subheader {font-weight:bold; font-size:8pt; border-spacing:0px; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .table_data_content {font-weight:normal; font-size:8pt; border-spacing:0px; padding:4px; background-color:#def2e9; color:#000000; vertical-align:top}
	     .text_red    {color:#cc0000}
       .text_orange {color:#ff7f01}
       .text_blue   {color:#0000cc}
       .text_green  {color:#00aa00}
       .text_grey   {color:#666666}
	   </style>
	  </head>
    
      <body>
        <img border="0" src="http://www.xqual.com/resources/images/xqual_thumbnail.gif"/>
        <xsl:variable name="testcaseId"   select="properties/id" />
        <xsl:variable name="testcaseName" select="properties/name" />
        <xsl:variable name="sessionId"    select="properties/sessionId" />
        <xsl:variable name="sessionName"  select="properties/sessionName" />

        <h1>Testcase <xsl:value-of select="$testcaseId"/> <xsl:value-of select="$testcaseName"/> failed</h1>
        (during execution of the campaign session <b>[<xsl:value-of select="$sessionId"/>] <xsl:value-of select="$sessionName"/></b>)...<br/>
        Url session:
        <xsl:call-template name="urlToObject">
          <xsl:with-param name="globalId" select="$sessionId"/>
          <xsl:with-param name="name"     select="$sessionName"/> 
        </xsl:call-template>
        Url test case:
        <xsl:call-template name="urlToObject">
          <xsl:with-param name="globalId" select="$testcaseId"/>
          <xsl:with-param name="name"     select="$testcaseName"/> 
        </xsl:call-template>
        <br/><br/>
        
        <h3>Details:</h3>
        <table>
          <tr><td width="150px" class="table_data_subheader">Identifier:</td><td width="300px" class="table_data_content"><xsl:value-of select="properties/id"/></td></tr>
          <tr><td class="table_data_subheader">Index:</td><td class="table_data_content"><xsl:value-of select="properties/index"/></td></tr>
          <tr><td class="table_data_subheader">Result:</td><td class="table_data_content"><xsl:call-template name="resultToString"><xsl:with-param name="result" select="properties/result"/></xsl:call-template></td></tr>
          <tr><td class="table_data_subheader">Additional Infos:</td><td class="table_data_content"><xsl:value-of select="properties/additionalInfos"/></td></tr>
          <tr>
            <td class="table_data_subheader">Params:</td><td class="table_data_content">
              <table>
                <xsl:for-each select="properties/param">
                  <tr><td><xsl:value-of select="@name"/></td><td><xsl:value-of select="."/></td></tr>
                </xsl:for-each>
              </table>
            </td>
          </tr>
          <tr>
            <td class="table_data_subheader">Messages:</td><td class="table_data_content">
              <table>
                <xsl:for-each select="properties/executionStep">
                  <tr><td><xsl:value-of select="@timestamp"/></td><td><xsl:value-of select="@result"/></td><td><xsl:value-of select="."/></td></tr>
                </xsl:for-each>
              </table>
            </td>
          </tr>
        </table>
        <br/>
        <i>All the files attached to this test case (i.e. traces, logs, screenshots etc.) are attached to this report as well.</i><br/>
        <br/><br/>
        <a href="http://www.xqual.com">http://www.xqual.com</a>
        <br/><br/><br/>
      </body>
    </html>

  </xsl:template>

</xsl:stylesheet>