<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="UTF-8"/>

	<xsl:template match="/">
		<xsl:variable name="sessionName"   select="reports/campaignsession/@name" />
		Test;Test-case;Results;Path
		<xsl:apply-templates>
			<xsl:with-param name="parentName" select="" />
		</xsl:apply-templates>
	</xsl:template>

	<!-- ******************* campaignsession *************************** -->
	<xsl:template match="campaignsession">
		<xsl:param name="parentName" />
		
		<xsl:apply-templates select="category">
			<xsl:with-param name="parentName" select="$parentName"/>
		</xsl:apply-templates>
	</xsl:template>

	<!-- ******************* category *************************** -->
	<xsl:template match="category">
		<xsl:param name="parentName" />
		
		<xsl:apply-templates select="folder">
			<xsl:with-param name="parentName" select="@name"/>
		</xsl:apply-templates>
	</xsl:template>

	<!-- ******************* folder *************************** -->
	<xsl:template match="folder">
		<xsl:param name="parentName" />
		<xsl:variable name="folderName" select="@name" />
		<xsl:variable name="pathName" select="concat($parentName, '|', $folderName)" />
		
		<xsl:apply-templates select="test">
			<xsl:with-param name="parentName" select="$pathName"/>  
		</xsl:apply-templates>
		
		<xsl:apply-templates select="folder">
			<xsl:with-param name="parentName" select="$pathName"/>
		</xsl:apply-templates>
	</xsl:template>

	<!-- ******************* test *************************** -->
	<xsl:template match="test">
		<xsl:param name="parentName" />
		
		<xsl:value-of disable-output-escaping="yes" select="@name"/>;<xsl:text>&#32;</xsl:text>;<xsl:text>&#32;</xsl:text>;<xsl:value-of disable-output-escaping="yes" select="$parentName"/>;<xsl:text>&#10;</xsl:text><xsl:text>&#13;</xsl:text> <!-- CR/LF -->

		<xsl:apply-templates select="testcase">
			<xsl:with-param name="pathName" select="$parentName"/>  
			<xsl:with-param name="testName" select="@name"/>  
		</xsl:apply-templates>
	</xsl:template>

	<!-- ******************* test-case *************************** -->
	<xsl:template match="testcase">
		<xsl:param name="pathName" />
		<xsl:param name="testName" />
		
		<xsl:text>&#32;</xsl:text>;<xsl:value-of disable-output-escaping="yes" select="@name"/>;<xsl:call-template name="statusToString"><xsl:with-param name="status" select="@status"/></xsl:call-template>;<xsl:text>&#32;</xsl:text><xsl:text>&#10;</xsl:text><xsl:text>&#13;</xsl:text> <!-- CR/LF -->
	</xsl:template>

	<!-- ******************* status to string *************************** -->
	<xsl:template name="statusToString">
		<xsl:param name="status"/>
		<xsl:if test="$status='0'">#report.Not_executed#</xsl:if>				
		<xsl:if test="$status='1'">#report.Success#</xsl:if>				
		<xsl:if test="$status='2'">#report.Failure#</xsl:if>				
		<xsl:if test="$status='3'">#report.Relative#</xsl:if>
		<xsl:if test="$status='6'">#report.Unknown#</xsl:if>				
	</xsl:template>
	
</xsl:stylesheet>