<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" encoding="UTF-8"/>

	
<!-- ******************* main function *************************** -->
<xsl:template name="mainTemplate">
	<xsl:param name="campaignName"/>
	<xsl:param name="authorName"/>
	<xsl:param name="DocumentType"/>

	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
		<head>
		</head>
		<body>
			<table border="1">
				<tr>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td colspan="3">
						<xsl:value-of disable-output-escaping="yes" select="$campaignName"/>
						<br/>
						by:<xsl:value-of disable-output-escaping="yes" select="$authorName"/>
					</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
					<td>&#xa0;</td>
				</tr>
				<tr>
					<td>category</td>
					<td>folder</td>
					<td>test name</td>
					<td>priority</td>
					<td>canonicalpath</td>
					<td>prerequisite</td>
					<td>description</td>
					<td>testcase name</td>
					<td>Tcimplemented</td>
					<td>TC useDescAsTestplan</td>
					<td>TC description</td>
					<td>Steps</td>
					<td>Result(pass/fail)</td>
					<td>Comment</td>
				</tr>			
				
				<xsl:apply-templates>
					<xsl:with-param name="parentNameCat" select="" />
					<xsl:with-param name="parentNameFold" select="" />
					<xsl:with-param name="DocumentType" select="$DocumentType"/>
				</xsl:apply-templates>
			</table>
		</body>
	</html>
</xsl:template>

	
<!-- ******************* campaignsession *************************** -->
<xsl:template match="campaign">
	<xsl:param name="parentNameCat" />
	<xsl:param name="parentNameFold" />
	<xsl:param name="DocumentType" />
	<xsl:apply-templates select="category">
		<xsl:with-param name="parentNameCat" select=""/>
		<xsl:with-param name="parentNameFold" select=""/>
		<xsl:with-param name="DocumentType" select="$DocumentType"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ******************* category *************************** -->
<xsl:template match="category">
	<xsl:param name="parentNameCat" />
	<xsl:param name="parentNameFold" />
	<xsl:param name="DocumentType" />
	<xsl:apply-templates select="folder">
		<xsl:with-param name="parentNameCat" select="@name"/>
		<xsl:with-param name="parentNameFold" select=""/>
		<xsl:with-param name="DocumentType" select="$DocumentType"/>
	</xsl:apply-templates>
</xsl:template>


<!-- ******************* folder *************************** -->
<xsl:template match="folder">
	<xsl:param name="parentNameCat" />
	<xsl:param name="parentNameFold" />
	<xsl:param name="DocumentType" />
	<xsl:variable name="folderName" select="@name" />	
	<!-- set variable with conditional value -->
	<xsl:variable name="pathName">
		<xsl:choose>
			<xsl:when test="string-length($parentNameFold)>0">
				<xsl:value-of select="concat($parentNameFold, '|', $folderName)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat($parentNameFold, '', $folderName)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:apply-templates select="test">
		<xsl:with-param name="parentNameCat" select="$parentNameCat"/>
		<xsl:with-param name="parentNameFold" select="$pathName"/>
		<xsl:with-param name="DocumentType" select="$DocumentType"/>
	</xsl:apply-templates>
	<xsl:apply-templates select="folder">
		<xsl:with-param name="parentNameCat" select="$parentNameCat"/>
		<xsl:with-param name="parentNameFold" select="$pathName"/>
		<xsl:with-param name="DocumentType" select="$DocumentType"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ******************* test *************************** -->
<xsl:template match="test">
	<xsl:param name="parentNameCat" />
	<xsl:param name="parentNameFold" />
	<xsl:param name="DocumentType" />
	<xsl:variable name="testDescription"       select="description" />
	<xsl:variable name="testPrerequisites"       select="prerequisites" />
<!--	<tr> -->
<!--		<td><xsl:value-of disable-output-escaping="yes" select="@name"/></td> -->
<!--		<td><xsl:text>&#xa0;</xsl:text></td> -->
<!--		<td><xsl:text>&#xa0;</xsl:text></td> -->
<!--		<td><xsl:value-of disable-output-escaping="yes" select="$parentName"/></td> -->
<!--	</tr> -->

	<xsl:apply-templates select="testcase">
		<xsl:with-param name="parentNameCat" select="$parentNameCat"/>
		<xsl:with-param name="parentNameFold" select="$parentNameFold"/>
		<xsl:with-param name="DocumentType" select="$DocumentType"/>
		<xsl:with-param name="testName" select="@name"/>  
		<xsl:with-param name="priority" select="@priority"/>  
		<xsl:with-param name="canonicalPath" select="@canonicalPath"/>  
		<xsl:with-param name="testDescription" select="$testDescription"/>  
		<xsl:with-param name="testPrerequisites" select="$testPrerequisites"/>  
	</xsl:apply-templates>
</xsl:template>

<!-- ******************* test-case *************************** -->
<xsl:template match="testcase">
	<xsl:param name="parentNameCat" />
	<xsl:param name="parentNameFold" />
	<xsl:param name="DocumentType" />
	<xsl:param name="testName" />
	<xsl:param name="priority" />
	<xsl:param name="canonicalPath" />
	<xsl:param name="testDescription" />
	<xsl:param name="testPrerequisites" />
	<xsl:variable name="testcaseDescription"       select="description" />
	<tr>
		<td><xsl:value-of disable-output-escaping="yes" select="$parentNameCat"/></td>
		<td><xsl:value-of disable-output-escaping="yes" select="$parentNameFold"/></td>
		<td><xsl:value-of disable-output-escaping="yes" select="$testName"/></td>
		<td><xsl:value-of disable-output-escaping="yes" select="$priority"/></td>
		<td><xsl:value-of disable-output-escaping="yes" select="$canonicalPath"/></td>
		<xsl:choose>
			<xsl:when test="$DocumentType = 'Long'">
				<td><xsl:value-of disable-output-escaping="yes" select="$testPrerequisites"/></td>
			</xsl:when>
			<xsl:otherwise>
				<td>&#xa0;</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="$DocumentType = 'Long'">
				<td><xsl:value-of disable-output-escaping="yes" select="$testDescription"/></td>
			</xsl:when>
			<xsl:otherwise>
				<td>&#xa0;</td>
			</xsl:otherwise>
		</xsl:choose>
		<td><xsl:value-of disable-output-escaping="yes" select="@name"/></td>
		<td><xsl:value-of disable-output-escaping="yes" select="@devCompleted"/></td>
		<td><xsl:value-of disable-output-escaping="yes" select="@useDescAsTestplan"/></td>
		<xsl:choose>
			<xsl:when test="$DocumentType = 'Long'">
				<td><xsl:value-of disable-output-escaping="yes" select="$testcaseDescription"/></td>
			</xsl:when>
			<xsl:otherwise>
				<td>&#xa0;</td>
			</xsl:otherwise>
		</xsl:choose>
		<td>&#xa0;</td>
		<td>&#xa0;</td>
		<td>&#xa0;</td>	
	</tr>
</xsl:template>

<!-- ******************* status to string *************************** -->
	<xsl:template name="statusToString">
		<xsl:param name="status"/>
		<xsl:if test="$status='1'"><td style="background-color:green">#report.Success#</td></xsl:if>				
		<xsl:if test="$status='2'"><td style="background-color:red">#report.Failure#</td></xsl:if>				
		<xsl:if test="$status='0'"><td>#report.Not_executed#</td></xsl:if>				
		<xsl:if test="$status='6'"><td>#report.Unknown#</td></xsl:if>				
		<xsl:if test="$status='3'"><td>#report.Relative#</td></xsl:if>
	</xsl:template>


</xsl:stylesheet>